# -*- coding: utf-8 -*-
"""
@author: julien de Rosny (c) Institut Langevin/ESPCI/CNRS
"""

import numpy as np
import matplotlib.pyplot as plt
import mpl_toolkits.mplot3d as plt3d

class PlotWires:
    def __init__(self):
        fig = plt.figure()
        fig.set_size_inches(10,10)
        self.ax = fig.add_subplot(111, projection='3d')
        self.ax.view_init(120,30)
    
    def plot(self,wires,colorLine='gray'):
        #plot the nodes
        for segment in wires:
            for i in range(2):
                self.ax.scatter(segment[i,0], segment[i,1], segment[i,2], color='black', marker='s')
            self.ax.plot3D(segment[:,0],segment[:,1],segment[:,2], colorLine)

